Subject: bug#12309: closed (Re: Option `(bookmark-)version-control': Use :tag so doc string matches menu)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 01 Oct 2012 04:38:17 +0000

Your bug report

#12309: 24.2.50; Option `(bookmark-)version-control': Use :tag so doc string matches menu

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12309: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12309
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Option `(bookmark-)version-control': Use :tag so doc string matches menu
From: Karl Fogel <[email-masked]>
To: [email-masked]
Date: Sun, 30 Sep 2012 23:37:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed (see below), but please review.  

I don't fully understand the whole customization system because I never
use it myself (I just read doc strings and set variables directly in
Elisp), so I don't quite get what `other' mean if used instead of
`const', and I didn't fully understand the last paragraph of the
original bug report.  I looked in the Info pages, but they didn't
clarify much about this.

-Karl

Revision info:

  revno: 110305
  revision-id: [email-masked]
  parent: [email-masked]
  committer: Karl Fogel <[email-masked]>
  branch nick: trunk
  timestamp: Sun 2012-09-30 22:32:06 -0500
  message:
    * lisp/bookmark.el (bookmark-version-control): Give tags in the
      :type choices (Bug#12309), and improve doc string.

Diff:

  === modified file 'lisp/ChangeLog'
  --- lisp/ChangeLog	2012-10-01 02:07:14 +0000
  +++ lisp/ChangeLog	2012-10-01 03:31:41 +0000
  @@ -1,3 +1,8 @@
  +2012-10-01  Karl Fogel  <[email-masked]>
  +
  +	* bookmark.el (bookmark-version-control): Give tags in the
  +	:type choices (Bug#12309), and improve doc string.
  +
   2012-10-01  Paul Eggert  <[email-masked]>
   
   	Revert the FOLLOW-SYMLINKS change for file-attributes.
  
  === modified file 'lisp/bookmark.el'
  --- lisp/bookmark.el	2012-09-25 04:13:02 +0000
  +++ lisp/bookmark.el	2012-10-01 03:32:18 +0000
  @@ -99,12 +99,14 @@
   
   (defcustom bookmark-version-control 'nospecial
     "Whether or not to make numbered backups of the bookmark file.
  -It can have four values: t, nil, `never', and `nospecial'.
  +It can have four values: t, nil, `never', or `nospecial'.
   The first three have the same meaning that they do for the
  -variable `version-control', and the final value `nospecial' means just
  -use the value of `version-control'."
  -  :type '(choice (const nil) (const never) (const nospecial)
  -		 (other t))
  +variable `version-control'; the value `nospecial' (the default) means
  +just use the value of `version-control'."
  +  :type '(choice (const :tag "If existing" nil)
  +                 (const :tag "Never" never)
  +                 (const :tag "Use the value of `version-control'" nospecial)
  +                 (const :tag "Always" t))
     :group 'bookmark)

Subject: 24.2.50; Option `(bookmark-)version-control': Use :tag so doc string matches menu
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Wed, 29 Aug 2012 15:57:05 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

The doc strings of these variables speak of values t, nil, `never', and
(for `bookmark-version-control) `nospecial'.
 
The Value Menu for `version-control' shows "Never", "If existing",
"Always".  At least you can see the correspondence, because the same
words are used - you can tell that "Always" corresponds to "always" in
the doc string, which corresponds to value `t'.
 
The Value Menu for `bookmark-version-control' shows "nil", "never",
"nospecial", and "Other".  It is "Other" that is problematic for a user
- it doesn't correspond to anything in the doc string (except by process
of elimination).
 
Please use :tag to make things clearer.  In particular, use something
besides "Other" (the default name) for `t' (i.e., for any other non-nil value
than `never' and `nospecial').

In GNU Emacs 24.2.50.1 (i386-mingw-nt5.1.2600)
 of 2012-08-26 on MARVIN
Bzr revision: 109788 [email-masked]
Windowing system distributor `Microsoft Corp.', version 5.1.2600
Configured using:
 `configure --with-gcc (4.6) --no-opt --enable-checking --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include
 -ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
 -ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'